/* common utility functions */

var makeRequest = function(url, content, fun) {
    http_request = false;
    if (window.XMLHttpRequest) { // Mozilla, Safari,...
        http_request = new XMLHttpRequest();
        if (http_request.overrideMimeType) {
           // http_request.overrideMimeType('text/xml');
        }
    } else if (window.ActiveXObject) { // IE
        try {
            http_request = new ActiveXObject("Msxml2.XMLHTTP");
        } catch (e) {
            try {
                http_request = new ActiveXObject("Microsoft.XMLHTTP");
            } catch (e) {}
        }
    }
    if (!http_request) {
        alert(_("alert xmlhttp"));
        return false;
    }
    http_request.onreadystatechange = fun;
    http_request.open('POST', url, true);
    http_request.send(content);
};

var style_display_on = function()
{
	return "";

/*
	if (window.ActiveXObject)
	{ // IE
		return "block";
	}
	else if (window.XMLHttpRequest)
	{ // Mozilla, Safari,...
		return "table-row";
	}
*/
};

var div_display_on = function()
{
	return "";

/*
	if (window.ActiveXObject)
	{ // IE
		return "block";
	}
	else if (window.XMLHttpRequest)
	{ // Mozilla, Safari,...
		return "";
	}
*/
};

var showTableRow = function(id, show)
{
	if (show) {
		document.getElementById(id).style.visibility = "visible";
		document.getElementById(id).style.display = style_display_on();
	}
	else {
		document.getElementById(id).style.visibility = "hidden";
		document.getElementById(id).style.display = "none";
	}
};

var showBlock = function(id, show)
{
	if (show) {
		document.getElementById(id).style.visibility = "visible";
		document.getElementById(id).style.display = "block";
	}
	else {
		document.getElementById(id).style.visibility = "hidden";
		document.getElementById(id).style.display = "none";
	}
};


var checkIntRange = function(str, min, max)
{
	var num = parseInt(str, 10);
	if (num > max || num < min)
		return false;
	return true;
};

var atoi = function(str, num)
{
    i=1;
    if(num != 1 ){
        while (i != num && str.length != 0){
            if(str.charAt(0) == '.'){
                i++;
            }
            str = str.substring(1);
        }
        if(i != num )
            return -1;
    }

    for(i=0; i<str.length; i++){
        if(str.charAt(i) == '.'){
            str = str.substring(0, i);
            break;
        }
    }
    if(str.length == 0)
        return -1;
    return parseInt(str, 10);
};

var checkRange = function(str, num, min, max)
{
	d = atoi(str, num);
	if (d > max || d < min)
		return false;
	return true;
};

var isAllNum = function(str)
{
	for (var i=0; i<str.length; i++){
	    if((str.charAt(i) >= '0' && str.charAt(i) <= '9') || (str.charAt(i) == '.' ))
			continue;
		return 0;
	}
	return 1;
};

var checkHex = function(str)
{
	var len = str.length;

	for (var i = 0; i < str.length; i++) {
		if ((str.charAt(i) >= '0' && str.charAt(i) <= '9') ||
				(str.charAt(i) >= 'a' && str.charAt(i) <= 'f') ||
				(str.charAt(i) >= 'A' && str.charAt(i) <= 'F')) {
			continue;
		}
		else
			return false;
	}
	return true;
};

var checkInjection = function(str)
{
	var len = str.length;
	for (var i = 0; i < str.length; i++) {
		if (str.charAt(i) == ';' || str.charAt(i) == ',' ||
				str.charAt(i) == '\r' || str.charAt(i) == '\n') {
			return false;
		}
		else
			continue;
	}
	return true;
};

var checkStrictInjection = function(str)
{
	var len = str.length;
	for (var i=0; i<str.length; i++) {
		if ( str.charAt(i) == ';' || str.charAt(i) == ',' ||
			 str.charAt(i) == '\r' || str.charAt(i) == '\n'){
				return false;
		}else
	        continue;
	}
    return true;
};

var checkMac = function(str)
{
	var len = str.length;
	if(len!=17)
		return false;

	for (var i=0; i<str.length; i++) {
		if((i%3) == 2){
			if(str.charAt(i) == ':')
				continue;
		}else{
			if (    (str.charAt(i) >= '0' && str.charAt(i) <= '9') ||
					(str.charAt(i) >= 'a' && str.charAt(i) <= 'f') ||
					(str.charAt(i) >= 'A' && str.charAt(i) <= 'F') )
			continue;
		}
		return false;
	}
	return true;
};

var isAllNumAndSlash = function(str)
{
	for (var i=0; i<str.length; i++){
	    if( (str.charAt(i) >= '0' && str.charAt(i) <= '9') || (str.charAt(i) == '.') || (str.charAt(i) == '/'))
			continue;
		return 0;
	}
	return 1;
};

var isNumOnly = function(str)
{
	for (var i=0; i<str.length; i++){
	    if((str.charAt(i) >= '0' && str.charAt(i) <= '9') )
			continue;
		return 0;
	}
	return 1;
};

var getEntry = function(str, delim, i)
{
	var entries = new Array();
	
	entries = str.split(delim);
	if (entries.length <= i)
		return "";
	return entries[i];
};

var disableTextField = function(field)
{
	if(document.all || document.getElementById){
		field.disabled = true;
	}else {
		field.oldOnFocus = field.onfocus;
		field.onfocus = skip;
	}
};

var enableTextField = function(field)
{
	if(document.all || document.getElementById)
		field.disabled = false;
	else {
		field.onfocus = field.oldOnFocus;
	}
};

var checkLanIp = function(lanIp, lanMask, ipCheck)
{
	var lanIpArray = new Array();
	var lanMaskArray = new Array();
	var ipArray = new Array();
	var i;

	lanIpArray = lanIp.split(".");
	lanMaskArray = lanMask.split(".");
	ipArray = ipCheck.split(".");

	if (lanIpArray.length != 4 || lanMaskArray.length != 4) {
	//	alert("invalid lan ip!");
		return false;
	}

	if (ipArray.length != 4) {
		return false;
	}

	for(i=0; i<4; i++) {
		if ((parseInt(ipArray[i]) & parseInt(lanMaskArray[i])) != (parseInt(lanIpArray[i]) & parseInt(lanMaskArray[i])))
			return false;
	}

	return true;
};

var  checkIpAddr = function(field)
{
    var ipArray = new Array();	
    ipArray = field.value.split(".");

    if(field.value == ""){
        field.focus();
        return false;
    }

    if (ipArray.length != 4) {
       field.value = field.defaultValue;
       field.focus();
       return false;
    }

    if ( isAllNum(field.value) == 0) {
	field.value = field.defaultValue;
        field.focus();
        return false;
    }

    if( (!checkRange(field.value,1,1,254)) ||
        (!checkRange(field.value,2,0,255)) ||
        (!checkRange(field.value,3,0,255)) ||
        (!checkRange(field.value,4,0,254)) ){
	field.value = field.defaultValue;
        field.focus();
        return false;
    }

   return true;
};

var checkNetMask = function(field)
{
    var ipArray = new Array();	
    ipArray = field.value.split(".");

    if(field.value == ""){
        field.focus();
        return false;
    }

    if (ipArray.length != 4) {
       field.value = field.defaultValue;
       field.focus();
       return false;
    }

    if ( isAllNum(field.value) == 0) {
	field.value = field.defaultValue;
        field.focus();
        return false;
    }

    if( (!checkRange(field.value,1,255,255)) ||
        (!checkRange(field.value,2,0,255)) ||
        (!checkRange(field.value,3,0,255)) ||
        (!checkRange(field.value,4,0,255)) ){
	field.value = field.defaultValue;
        field.focus();
        return false;
    }

    var biStr = "";
    for (var i=0; i<4; i++) {
      var ipb = parseInt(ipArray[i]).toString(2);
      var len = 8 - ipb.length;
      while(len--) {
        ipb = '0'+ipb;
      }
      biStr += ipb;
    }

    if (biStr.indexOf("01") >= 0)
      return false;

    return true;
};

var getTime = function(sec)
{
	var time = new Array();

	time["day"] = parseInt(sec/86400);
	time["hour"] = parseInt((sec%86400)/3600);
	time["min"] = parseInt((sec%3600)/60);
	time["sec"] = sec%60; 

	return time;
}

var getDate = function(time)
{
	var times = new Array();

	var sec = time.getSeconds();
	var min = time.getMinutes();
	var hour = time.getHours();
	var month = time.getMonth() + 1;
	var day = time.getDate();
	var year = time.getFullYear();

	times["sec"] = (sec<10) ? ("0"+sec) : (""+sec);
	times["min"] = (min<10) ? ("0"+min) : (""+min);
	times["hour"] = (hour<10) ? ("0"+hour) : (""+hour);
	times["month"] = (month<10) ? ("0"+month) : (""+month);
	times["day"] = (day<10) ? ("0"+day) : (""+day);
	times["year"] = ""+year;

	return times;
};

Array.prototype.unique = function(){     
	var a = {};   
	var len = this.length;   
	for(var i=0; i<len; i++)  {     
		if(typeof a[this[i]] == "undefined")     
			a[this[i]] = 1;     
	}     
	this.length = 0;     
	for(var i in a)     
	this[this.length] = i;     
	return this;     
} 

function writeSignalImg(id, percent)
{
	if(percent < 5)
		document.getElementById(id).src = "/graphics/sig00.png";
	else if(percent >= 5 && percent < 30)
		document.getElementById(id).src = "/graphics/sig20.png";
	else if(percent>=30 && percent < 50)
		document.getElementById(id).src = "/graphics/sig40.png";
	else if(percent>=50 && percent < 70)
		document.getElementById(id).src = "/graphics/sig60.png";
	else if(percent>=70 && percent < 90)
		document.getElementById(id).src = "/graphics/sig80.png";
	else if(percent >= 90)
		document.getElementById(id).src = "/graphics/sig100.png";
}