<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<style>
.bselected {font-weight: bold;}
</style>
<title>Wireless Router</title>

<% getWebsHeader(); %>

<script language="javascript"> 
<% websIncludeFile("comm/jdefines.js"); %>
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("home"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("time_date"); %>
<% websIncludeLang("menu"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var wan_Status = "<% getWanStatusASP(); %>";
var opmodeB = "<% getOpModeBuilt(); %>";
var rtdevB = "<% getRtDevBuilt(); %>";
var raxABand = "<% getRaxABand(); %>";
var currBand = 0;

var wanMode = "<% getCfgGeneral(1, "wanConnectionMode"); %>";
var staticIp = "<% getCfgGeneral(1, "wan_ipaddr"); %>";
var staticNetmask = "<% getCfgGeneral(1, "wan_netmask"); %>";
var staticGateway = "<% getCfgGeneral(1, "wan_gateway"); %>";
var staticPriDns = "<% getCfgGeneral(1, "wan_primary_dns"); %>";
var staticSecDns = "<% getCfgGeneral(1, "wan_secondary_dns"); %>";

var l2tp_mode = '<% getCfgZero(1, "wan_l2tp_mode"); %>';
var pptp_mode = '<% getCfgZero(1, "wan_pptp_mode"); %>';

var vpn_status = "<% getVpnStatus("tunnel-status"); %>";

var timerID;
var http_request = false;
var count = 5;
var upTime = <% getSysUptime(); %>;
var colon = ": ";
var radio_on = '<% getWlanStatus(0); %>';

document.title = vendor+" "+model+" - "+ mTitleHome;

function updateSysUptime()
{
	var time = getTime(upTime);
	var time_str = time["day"]+mDay+time["hour"]+mHour+time["min"]+mMinute+time["sec"]+mSecond;

	document.getElementById("sysUptime").innerHTML = time_str;
}

function updateWanStatus()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
	     var wanStaus=http_request.responseText;
	     showWanConnectionStatus("wanstatus", wanStaus);

	     if (opmode == OPMODE_BRIDGE_APCLI)
                return;

	     if (wanMode == WAN_TYPE_STATIC)
                return;

	     if (wanStaus != WAN_STATUS_CONNECTED && wanStaus != WAN_STATUS_PPP_IDLE_TIMEOUT && wanStaus != WAN_STATUS_PPP_FAKE_CONNECTED) { // Not UP
	    	hiddenWanInfo();			
	     }
	     else{
	    	makeRequest("/goform/getWanIpAjax", "wanip", updateWanIp);
	     }
        } 
    }
}

function updateWanIp()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
	     if(http_request.responseText!="-1"){
	    	 document.getElementById("wanip").innerHTML =http_request.responseText;
	     }
 	     makeRequest("/goform/getWanNetmaskAjax", "wanmask", updateWanMask);
        }
    }
}

function updateWanMask()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
            if(http_request.responseText!="")
	      document.getElementById("wanmask").innerHTML =http_request.responseText;
	    makeRequest("/goform/getSysGatewayAjax", "sysgateway", updateWanGw);
        } 
    }
}

function updateWanGw()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
	    if(http_request.responseText!="-1"){
	   	document.getElementById("wangateway").innerHTML =http_request.responseText;
	    }
	    makeRequest("/goform/getSysDnsAjax", "0", updateWanPriDns);
        } 
    }
}

function updateWanPriDns()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
	    if(http_request.responseText!="-1"){
	   	document.getElementById("wandns1").innerHTML =http_request.responseText;
	    }
	    makeRequest("/goform/getSysDnsAjax", "1", updateWanSecDns);
        } 
    }
}

function updateWanSecDns()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
	    if(http_request.responseText!="-1"){
	   	 document.getElementById("wandns2").innerHTML =http_request.responseText;
	    }
	    if (wanMode == WAN_TYPE_PPTP || wanMode == WAN_TYPE_L2TP)
	   	 makeRequest("/goform/getVpnStatusAjax", "1", updateVpnStatus);
	} 
    }
}

function updateVpnStatus()
{
	if (http_request.readyState != 4)
		return;

	if (http_request.status != 200)
		return;

	if(http_request.responseText == "-1")
		return;

	var statusStr = http_request.responseText;
	var statusArray = new Array();

	statusArray = statusStr.split(",");

	if (statusArray.length < 6)
		return;

	var time = getTime(statusArray[4]);
	var time_str = time["day"]+mDay+time["hour"]+mHour+time["min"]+mMinute+time["sec"]+mSecond;
	showWanConnectionStatus("vpnstatus", statusArray[0])
	document.getElementById("vpnip").innerHTML = statusArray[1];
	document.getElementById("vpnnm").innerHTML = statusArray[2];
}

function startRequest()
{
	updateSysUptime();

	upTime++;
	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER) {
		// no status for bridge
		return;
	}

	if (count <= 0) {
		makeRequest("/goform/getWanStatusAjax", "wanstatus", updateWanStatus);
		count = 3;
	}
	count--;
}

function showWanConnectionMode()
{
	var e = document.getElementById("wanmode");
	if (wanMode == WAN_TYPE_STATIC) {
		e.innerHTML = mStatic;
	}
	else if (wanMode == WAN_TYPE_DHCP) {
		e.innerHTML = mDhcp;
	}
	else if (wanMode == WAN_TYPE_PPPOE) {
		e.innerHTML = mPppoe;
	}
	else if (wanMode == WAN_TYPE_L2TP) {
		e.innerHTML = mL2tp;
	}
	else if (wanMode == WAN_TYPE_PPTP) {
		e.innerHTML = mPptp;
	}
	else if (wanMode == WAN_TYPE_3G) {
		e.innerHTML = mThreeG;
	}
	else {
		e.innerHTML = mUnknown;
	}
}

function showOpMode()
{
	var e = document.getElementById("wanopmode");

	if (opmode == OPMODE_BRIDGE)
		e.innerHTML = mOpmodeB;
	else if (opmode == OPMODE_GATEWAY)
		e.innerHTML = mOpmodeG;
	else if (opmode == OPMODE_ETH_CONVERTER)
		e.innerHTML = mOpmodeE;
	else if (opmode == OPMODE_APCLI)
		e.innerHTML = mOpmodeA;
	else if (opmode == OPMODE_BRIDGE_CONVERTER)
		e.innerHTML = mOpmodeBE;
	else if (opmode == OPMODE_3G_GATEWAY)
		e.innerHTML = mOpmodeT;
	else if (opmode == OPMODE_BRIDGE_APCLI)
		e.innerHTML = mOpmodeBA;
	else
		e.innerHTML = mOpmodeUnknown;
}

function showWanConnectionStatus(id, wanStatus)
{
	var e = document.getElementById(id);

	if (wanStatus == WAN_STATUS_LINK_DOWN) {
		e.innerHTML = mWanStatusLinkdown;
	}
	else if (wanStatus == WAN_STATUS_LINK_UP) {
		e.innerHTML = mWanStatusLinkup;
	}
	else if (wanStatus == WAN_STATUS_CONNECTING) {
		e.innerHTML = mWanStatusConnecting;
	}
	else if (wanStatus == WAN_STATUS_CONNECTED) {
		e.innerHTML = mWanStatusConnected;
	}
	else if (wanStatus == WAN_STATUS_TIMEOUT) {
		e.innerHTML = mWanStatusTimeout;
	}
	else if (wanStatus == WAN_STATUS_PPP_AUTH_FAILED) {
		e.innerHTML = mWanStatusPppAuthFail;
	}
	else if (wanStatus == WAN_STATUS_DISCONNECTED) {
		e.innerHTML = mWanStatusDisconnected;
	}
	else if (wanStatus == WAN_STATUS_PPP_LINK_DOWN) {
		e.innerHTML = mWanStatusPppLinkDown;
	}
	else if (wanStatus == WAN_STATUS_PPP_NEGOTIATING) {
		e.innerHTML = mWanStatusPppNegotiating;
	}
	else if (wanStatus == WAN_STATUS_PPP_IDLE_TIMEOUT) {
		e.innerHTML = mWanStatusPppIdleTimeout;
	}
	else if (wanStatus == WAN_STATUS_PPP_FAKE_CONNECTED) {
		e.innerHTML = mWanStatusPppFakeConnected;
	}
	else if (wanStatus == WAN_STATUS_LOOPBACK) {
		e.innerHTML = mWanStatusLoopback;
	}
	else if (wanStatus == WAN_STATUS_PPP_DEFAULT_ACCOUNT) {
		e.innerHTML = mWanStatusPppDefaultAccount;
	}
	else {
		e.innerHTML = mWanStatusUnknown + " (" + wanStatus + ")";
	}
}

function hiddenWanInfo()
{
	document.getElementById("wanip").innerHTML ="0.0.0.0";
	document.getElementById("wanmask").innerHTML ="0.0.0.0";
	document.getElementById("wangateway").innerHTML ="0.0.0.0";
	document.getElementById("wandns1").innerHTML ="0.0.0.0";
	document.getElementById("wandns2").innerHTML ="0.0.0.0";
}

function showHideVpnStatus(show)
{
	var style_visibility = show ? "visible" : "hidden";
	var style_display = show ? style_display_on() : "none";

	document.getElementById("rvpnmode").style.display = style_display;
	document.getElementById("rvpnmode").style.visibility = style_visibility;
	document.getElementById("rvpnstatus").style.display = style_display;
	document.getElementById("rvpnstatus").style.visibility = style_visibility;
	document.getElementById("rvpnip").style.display = style_display;
	document.getElementById("rvpnip").style.visibility = style_visibility;
	document.getElementById("rvpnnm").style.display = style_display;
	document.getElementById("rvpnnm").style.visibility = style_visibility;
}

function showWlanSecInfo(band)
{
	var authMode = "<% getCfgNthGeneral(1, "AuthMode", 0); %>";
	var encrypType = "<% getCfgNthGeneral(1, "EncrypType", 0); %>";
	var wep8021 = "<% getCfgNthGeneral(1, "IEEE8021X", 0); %>";
	var authObj = document.getElementById("wlsecmode");

	if (band == 1) {
		authMode = "<% getCfg2NthGeneral(1, "AuthMode", 0); %>";
		encrypType = "<% getCfg2NthGeneral(1, "EncrypType", 0); %>";
		wep8021 = "<% getCfg2NthGeneral(1, "IEEE8021X", 0); %>";
	}

	if (authMode == "Disable") {
		authObj.innerHTML = mRadioDisable;
	}
	else if (authMode == "OPEN" || authMode == "SHARED" || authMode == "WEPAUTO" || authMode == "IEEE8021X") {
		if (authMode == "OPEN") {
			if (wep8021 == "1") {
				authObj.innerHTML = mWlanIeee8021x + " (" + encrypType + ")";
				return;
			}
			else if(encrypType == "NONE")
				authObj.innerHTML = mRadioDisable;
			else
				authObj.innerHTML = mWlanOpen + " (" + encrypType +")";
		}
		else if (authMode == "SHARED")
			authObj.innerHTML = mWlanShared + " (" + encrypType + ")";
		else// if (autoMode == "WEPAUTO")
			authObj.innerHTML = mWlanWepauto + " (" + encrypType + ")";
	}
	else if (authMode == "WPAPSK" || authMode == "WPA2PSK" || authMode == "WPAPSKWPA2PSK") {
		if (authMode == "WPAPSK")
			authObj.innerHTML = mWlanWpapsk + " (" + encrypType + ")";
		else if (authMode == "WPA2PSK")
			authObj.innerHTML = mWlanWpa2psk + " (" + encrypType + ")";
		else //if (authMode == "WPAPSKWPA2PSk")
			authObj.innerHTML = mWlanWpapskwpa2psk + " (" + encrypType + ")";
	}
	else if (authMode == "WPA" || authMode == "WPA2" || authMode == "WPA1WPA2") {
		if (authMode == "WPA")
			authObj.innerHTML = mWlanWpa + " (" + encrypType + ")";
		else if (authMode == "WPA2")
			authObj.innerHTML = mWlanWpa2 + " (" + encrypType + ")";
		else if (authMode == "WPA1WPA2")
			authObj.innerHTML = mWlanWpa1wpa2 + " (" + encrypType + ")";
	}
}

function bandSwitch(band)
{
	var radio_status = '<% getWlanStatus(0); %>';
	var displayStr = "";

	//if (window.ActiveXObject) // IE
	//	displayStr = "block";

	var channel = '<% getCfgGeneral(1, "Channel"); %>';
	if (band == 1) {
		channel = '<% getCfg2General(1, "Channel"); %>';
		radio_status = '<% getWlanStatus(1); %>';
	}

	currBand = band;
        var radioStr = (radio_status == '1') ? mRadioOn : mRadioOff;

	if (band == 0) { // WLAN0 
		document.getElementById("dband0").className = "bselected";
		document.getElementById("dband1").className = "";
		if (opmode == OPMODE_ETH_CONVERTER || opmode == OPMODE_BRIDGE_CONVERTER) {
			document.getElementById("sta_radio").innerHTML=radioStr;
			document.getElementById("div_ap").style.visibility = "hidden";
			document.getElementById("div_ap").style.display = "none";
			document.getElementById("div_sta").style.visibility = "visible";
			document.getElementById("div_sta").style.display = displayStr;
		}
		else {
			document.getElementById("ap_radio").innerHTML=radioStr;
			if (channel == '0')
				document.getElementById('wlchannel').innerHTML = mWlanAuto;
			else
				document.getElementById('wlchannel').innerHTML = channel;
			document.getElementById('wlssid').innerHTML = "<% getCfgGeneralJS(1, "SSID1"); %>";
			showWlanSecInfo(0);
			document.getElementById('wlbssid').innerHTML = "<% getWlanCurrentMac(); %>";
			document.getElementById('wlstanum').innerHTML = "&nbsp;<a href=\"/info/stainfo.asp\"><span class=\"status\"><% getStaNumASP(0); %></span></a>";

			document.getElementById("div_sta").style.visibility = "hidden";
			document.getElementById("div_sta").style.display = "none";
			document.getElementById("div_ap").style.visibility = "visible";
			document.getElementById("div_ap").style.display = displayStr;
		}
	}
	else { // WLAN1 
		document.getElementById("dband0").className = "";
		document.getElementById("dband1").className = "bselected";
		document.getElementById("ap_radio").innerHTML=radioStr;
		if (channel == '0')
			document.getElementById('wlchannel').innerHTML = mWlanAuto;
		else
			document.getElementById('wlchannel').innerHTML = channel;
		document.getElementById('wlssid').innerHTML = "<% getCfg2GeneralJS(1, "SSID1"); %>";
		showWlanSecInfo(1);
		document.getElementById('wlbssid').innerHTML = "<% getInicCurrentMac(); %>";
		document.getElementById('wlstanum').innerHTML = "&nbsp;<a href=\"/info/inic_stainfo.asp\"><span class=\"status\"><% getStaNumASP(1); %></span></a>";

		document.getElementById("div_sta").style.visibility = "hidden";
		document.getElementById("div_sta").style.display = "none";
		document.getElementById("div_ap").style.visibility = "visible";
		document.getElementById("div_ap").style.display = displayStr;
	}
}

function initValue()
{
	var dhcpEnbl = '<% getCfgZero(1, "dhcpEnabled"); %>';
	var wan_ip='<% getWanIpASP(); %>';
	var wan_mask='<% getWanNetmaskASP(); %>';
	var wan_gateway='<% getWanGatewayASP(); %>';
	var wan_dns1='<% getSysDnsASP(0); %>';
	var wan_dns2='<% getSysDnsASP(1); %>';
	var swatchdog='<% getSoftWatchdogBuilt(); %>';

	if (swatchdog == '1') {
		document.getElementById("tUptime").style.display = "none";
		document.getElementById("tUptime").style.visibility = "hidden";
	}
	
	showWanConnectionMode();
	showWanConnectionStatus("wanstatus", wan_Status);
	showWlanSecInfo(0);

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI
		|| !(wanMode == WAN_TYPE_PPTP || wanMode == WAN_TYPE_L2TP)) {
		showHideVpnStatus(0);
	}
	else if (wanMode == WAN_TYPE_PPTP || wanMode == WAN_TYPE_L2TP) {
		var vpn_mode = l2tp_mode;
		if (wanMode == WAN_TYPE_PPTP)
			vpn_mode = pptp_mode;

		showHideVpnStatus(1);

		document.getElementById("vpnstatus").innerHTML = mWanStatusUnknown;
		if (vpn_mode == '0') {
			document.getElementById("vpnmode").innerHTML = mStatic;
		}
		else {
			document.getElementById("vpnmode").innerHTML = mDhcp;
		}
	}

	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI
		|| wan_Status != WAN_STATUS_CONNECTED) {
	 	hiddenWanInfo();
	}
	else{
		document.getElementById("wanip").innerHTML=wan_ip;
		document.getElementById("wanmask").innerHTML=wan_mask;	
		document.getElementById("wangateway").innerHTML=wan_gateway;	
		document.getElementById("wandns1").innerHTML=wan_dns1;	
		document.getElementById("wandns2").innerHTML=wan_dns2;	
	}
	
	document.getElementById("uptime").innerHTML="&nbsp;&nbsp;"+ mSysUptime + ":";

	if (dhcpEnbl == '1')
		document.getElementById("dhcpEnbl").innerHTML=mRadioEnable;
	else
		document.getElementById("dhcpEnbl").innerHTML=mRadioDisable;

	var displayStr = "table";
	if (window.ActiveXObject) // IE
		displayStr = "block";

        var radioStr = (radio_on == '1') ? mRadioOn : mRadioOff;
	if (opmode == OPMODE_ETH_CONVERTER || opmode == OPMODE_BRIDGE_CONVERTER) {
		document.getElementById("sta_radio").innerHTML=radioStr;
		document.getElementById("div_sta").style.visibility = "visible";
		document.getElementById("div_sta").style.display = displayStr;
	}
	else {
		var channel = '<% getCfgGeneral(1, "Channel"); %>';
		if (channel == '0')
			document.getElementById('wlchannel').innerHTML = mWlanAuto;
		document.getElementById("ap_radio").innerHTML=radioStr;
		document.getElementById("div_ap").style.visibility = "visible";
		document.getElementById("div_ap").style.display = displayStr;
	}

	if (rtdevB == "1") {
		document.getElementById("div_dband").style.visibility = "visible";
		document.getElementById("div_dband").style.display = displayStr;
		if (raxABand == "0") {	
			document.getElementById("dband0").innerHTML = "WLAN (2.4G)";
			document.getElementById("dband1").innerHTML = "WLAN (5G)";
		}
		bandSwitch(0);
	}
}

function go(url, type)
{
	/*if (url.indexOf("wizard") >= 0 
		&& (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI)) {
		alert(mAlert);
		return;
	}*/
	if(type == "wizard")
		window.open(url,"","toolbar=no, location=yes, scrollbars=yes, resizable=no, width=800, height=600");
	else if(type == "online")
		window.open(url,"","toolbar=yes, location=yes, scrollbars=yes, resizable=yes,menubar=yes,menubar=yes");
	else
		window.location.href = url;
}

function fwAuthStatusCheck()
{
        if (http_request.readyState == 4) {
                if (http_request.status == 200) {
                        var fwAuthRes = parseInt(http_request.responseText);
                        if(isNaN(fwAuthRes)){
                                //alert("getSoftwareAuthAjax: responseText Error!!!");
                                return;
                        } else if((fwAuthRes == 2) || (fwAuthRes == 1)){
                                document.getElementById("fwAuthHeaderTips").style.visibility = "hidden";
                                document.getElementById("fwAuthHeaderTips").style.display = "none";
                        } else if(fwAuthRes == 0){
                                document.getElementById("fwAuthHeaderTips").style.visibility = "visible";
                                document.getElementById("fwAuthHeaderTips").style.display = "";
                        }
                }
        }
}

function fwAuthHeaderTipsHide()
{
	 document.getElementById("fwAuthHeaderTips").style.visibility = "hidden";
     document.getElementById("fwAuthHeaderTips").style.display = "none";
}

function init()
{
	updateSysUptime();
 	initValue();
	
	/* JCG huangbin++: We check software authentication state based on MAC address. */
	makeRequest("/goform/getSoftwareAuthAjax", "n/a", fwAuthStatusCheck);
	/*!huangbin*/

	if (opmodeB == "1") {
		document.getElementById("rOpMode").style.visibility = "visible";
		document.getElementById("rOpMode").style.display = style_display_on();
		showOpMode();
	}
	if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI) {
		document.getElementById("wanmode").innerHTML=mUnsupported;
		if (opmode != OPMODE_BRIDGE_APCLI)
			document.getElementById("wanstatus").innerHTML=mUnsupported;
		document.getElementById("wanmac").innerHTML=" ";
	}

	if (wanMode == WAN_TYPE_STATIC) {
    		document.getElementById("wanip").innerHTML = staticIp;
    		document.getElementById("wanmask").innerHTML = staticNetmask;
     		document.getElementById("wangateway").innerHTML = staticGateway;
     		document.getElementById("wandns1").innerHTML = staticPriDns;
    		document.getElementById("wandns2").innerHTML = staticSecDns;
	}

	timerID=setInterval("startRequest()",1000);
}

function onRefresh()
{
	window.location.reload();
}

function disableBtn()
{
	document.getElementById("btconnect").disabled = true;
	document.getElementById("btdisconnect").disabled = true;
	document.getElementById("btrefresh").disabled = true;
}

function onConnect()
{
	clearInterval(timerID);
	disableBtn();
	document.wanControl.act.value = "restart";
	document.wanControl.submit();
}

function onDisconnect()
{
	clearInterval(timerID);
	disableBtn();
	document.wanControl.act.value = "stop";
	document.wanControl.submit();
}

function MouseOverOut(image_on, image_of)
{
        document.getElementById(image_on).style.display = "";
        document.getElementById(image_of).style.display = "none";
}

function writeNavi(type)
{
	var imgOn, imgOff;
	var idOn, idOff;
	var text;
	var url;
	var ok = 0;

	if (type == "wizard") {
		imgOn = "graphics/wizardOn.gif";
		imgOff = "graphics/wizardOff.gif";
		idOn = "wizardOn";
		idOff = "wizardOff";
		text = mQuickSetup;
		url = "internet/setupwizard.asp";
		ok = 1;
	}
	else if (type == "advanced") {
		imgOn = "graphics/advancedOn.gif";
		imgOff = "graphics/advancedOff.gif";
		idOn = "advancedOn";
		idOff = "advancedOff";
		text = mAdvanced;
		if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI)
			url = "internet/lan.asp";
		else
			url = "internet/wan.asp";
		ok = 1;
	}
	else if (type == "syslog") {
		imgOn = "graphics/syslogOn.gif";
		imgOff = "graphics/syslogOff.gif";
		idOn = "syslogOn";
		idOff = "syslogOff";
		text = mSyslog;
		url = "info/syslog.asp";
		ok = 1;
	}
	else if (type == "online") {
		imgOn = "graphics/onlineOn.gif";
		imgOff = "graphics/onlineOff.gif";
		idOn = "onlineOn";
		idOff = "onlineOff";
		text = mOnline;
		url = menuURL;
		ok = 1;
	}
	
	if (ok == 1) {
		if (text == "") {
			document.write("<a href=\"#\" onClick=\"go('"+url+"','"+type+"');\">");
			document.write("<img src=\""+imgOff+"\" height=\"86\" border=\"0\" id=\""+idOff+"\">");
			document.write("<img src=\""+imgOn+"\" height=\"86\" border=\"0\" id=\""+idOn+"\" style=\"display:none;\"> ");
			document.writeln("</a>");
			return;
		}

		document.write("<div style=\"background:url("+imgOff+");padding:65px 0px 6px 0px;color:#000000;\" id=\""+idOff+"\">");		
		putmsg(text);
		document.write("</div>");
		document.write("<div style=\"background:url("+imgOn+"); font-weight:bold;width:110px; font-size:14px;color:#ffffff;padding:65px 0px 6px 0px;cursor:pointer;display:none;\" id=\""+idOn+"\" onClick=\"go('" + url + "','"+type+"');\">");		
		putmsg(text);
		document.writeln("</div>");
	}
}

</script>
 
</head>

<body style="margin-top:30px;" onLoad="init();">

<div class="nH" id="fwAuthHeaderTips" style="display:none;visibility:hidden;">
	<div class="nH">
		<div class="w-MH"><script>putmsg(mFwAuthAlert);</script>&nbsp;&nbsp;
			<span id="link_rl" class="e" tabindex="0" onclick="window.location.reload();"><script>putmsg(mBtnRefresh);</script></span>&nbsp;&nbsp;
			<span id="link_ds" class="e" tabindex="0" onclick="fwAuthHeaderTipsHide();"><script>putmsg(mBtnClose);</script></span>
		</div>
	</div>
</div>

<div align="center">

<table width="800" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
      <script>document.writeln("<td width=\"800\"><img src=\""+menuLogoImage+"\"></td>");</script>
  </tr>
</table>

<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr height="30"><td>&nbsp;</td><td>&nbsp;</td><td align="right" style="color:red;"><span><script>putmsg(mStatusModel);</script></span>:&nbsp;<span id="modelStr"><script>putmsg(model);</script></span>&nbsp;</td><td>&nbsp;</td></tr>
  <tr>
    <td width="20">&nbsp;</td>
    <td rowspan="2" align="left" width="124"> <!-- Left navigation -->
      <table border="0" cellpadding="0" cellspacing="0">
        <tr> 
          <td onMouseOver="MouseOverOut('wizardOn','wizardOff');" onMouseOut="MouseOverOut('wizardOff','wizardOn');" align="center" width="110">
            <script language="javascript" type="text/javascript">
              writeNavi("wizard");
            </script> 
          </td>
        </tr>
        <tr>				
          <td onMouseOver="MouseOverOut('advancedOn','advancedOff')"  onMouseOut="MouseOverOut('advancedOff','advancedOn')" align="center" width="110">
            <script language="javascript" type="text/javascript" >
              writeNavi("advanced");
            </script> 
          </td>
        </tr>

        <tr>
          <td onMouseOver="MouseOverOut('syslogOn','syslogOff')" onMouseOut="MouseOverOut('syslogOff','syslogOn')" align="center" width="110">
            <script language="javascript" type="text/javascript" >
              writeNavi("syslog");
            </script> 
          </td>                   
        </tr>

        <tr>
          <td onMouseOver="MouseOverOut('onlineOn','onlineOff')" onMouseOut="MouseOverOut('onlineOff','onlineOn')" align="center" width="110">
            <script language="javascript" type="text/javascript" >
              writeNavi("online");
            </script> 
          </td>
        </tr>
                    
      </table>
    </td> <!-- left nagigation end -->
              
    <td valign="top"> <!-- main content -->
      <fieldset> 
        <legend><script>putmsg(mConnStatus);</script></legend>  
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
          <tr height="30" id="tUptime">
            <td colspan="3">
              <div style="font-size:10px; color:#547ed9; font-family:Arial, Verdana, Helvetica, sans-serif;">
                <span id="uptime"></span>
                <span id="sysUptime"></span>
              </div>
            </td>
          </tr>
                   
          <tr> <!-- connection indicator -->
            <td valign="top">
              <table>		
              <tr>
                <td>
	<script language="javascript" type="text/javascript" >
		if (opmode == OPMODE_BRIDGE || opmode == OPMODE_BRIDGE_CONVERTER || opmode == OPMODE_BRIDGE_APCLI)
			document.writeln("<img border=\"0\" src=\"graphics/wan.gif\" width=\"60\" height=\"80\">");
		else
			document.writeln("<a href=\"internet/wan.asp\"><img border=\"0\" src=\"graphics/wan.gif\" width=\"60\" height=\"80\"></a>");
	</script>
                </td>
                <td>&nbsp;&nbsp;<span class="connection"><script>putmsg(mConnWan);</script></span></td>
              </tr>
              </table>
            </td>
            <td valign="top">
              <table>
              <tr>
                <td><a href="internet/lan.asp"><img border="0" src="graphics/lan.gif" width="60" height="80"></a></td>
                <td>&nbsp;&nbsp;<span class="connection"><script>putmsg(mConnLan);</script></span></td>
              </tr>
              </table>
            </td>
            <td valign="top">
              <table>
              <tr>
                <script> 
                if (opmode == OPMODE_ETH_CONVERTER || opmode == OPMODE_BRIDGE_CONVERTER)
                  document.writeln("<td><a href=\"station/basic_sta.asp\"><img border=\"0\" src=\"graphics/wlan.gif\" width=\"60\" height=\"80\"></a></td>");
                else
                  document.writeln("<td><a href=\"wireless/basic.asp\"><img border=\"0\" src=\"graphics/wlan.gif\" width=\"60\" height=\"80\"></a></td>");
                </script>
                <td>&nbsp;&nbsp;<span class="connection"><script>putmsg(mConnWlan);</script></span></td>
              </tr>
              </table>
            </td>
            </tr> <!-- connection indicator end -->
            
            <tr> <!-- connection details -->
              <td valign="top">
                <table> <!-- WAN -->
                  <tr id="rOpMode" style="display:none;visibility:hidden;">
                    <td>&nbsp;<span class="status"><script>putmsg(mOpmode);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wanopmode"></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mWanMode);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wanmode"></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mWanStatus);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wanstatus"></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetIp);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wanip"></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetMask);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wanmask"></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetGw);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wangateway"></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mDnsPri);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wandns1"></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mDnsSec);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wandns2"></span></td>
                  </tr>

                  <tr id="rvpnmode" style="display:none;visibility:hidden;">
                    <td>&nbsp;VPN <span class="status"><script>putmsg(mVpnMode);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="vpnmode"></span></td>
                  </tr>

                  <tr id="rvpnstatus" style="display:none;visibility:hidden;">
                    <td>&nbsp;VPN <span class="status"><script>putmsg(mWanStatus);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="vpnstatus"></span></td>
                  </tr>
                  <tr id="rvpnip" style="display:none;visibility:hidden;">
                    <td>&nbsp;VPN <span class="status"><script>putmsg(mInetIp);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="vpnip"><% getVpnStatus("tunnel-ip"); %></span></td>
                  </tr>
                  <tr id="rvpnnm" style="display:none;visibility:hidden;">
                    <td>&nbsp;VPN <span class="status"><script>putmsg(mInetMask);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="vpnnm"><% getVpnStatus("tunnel-netmask"); %></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetMac);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wanmac"><% getWanMacASP(); %>&nbsp;</span></td>
                  </tr>
                </table>
              </td> <!-- WAN end -->

              <td valign="top"> <!-- LAN -->
                <table>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mHostname);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="lanhost"><% getCfgGeneral(1, "HostName"); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetIp);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="lanip"><% getLanIpASP(); %></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetMask);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="lanmask"><% getLanNetmaskASP(); %></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetMac);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="lanmac"><% getLanMacASP(); %></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mDhcpSrv);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="dhcpEnbl"></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mNumHost);</script>:</span></td>
                    <td>&nbsp;<a href="/info/dhcpcliinfo.asp"><span class="status" id="lanhostnum"><% getHostNumASP(); %></span></a></td>
                  </tr>
                </table>
              </td> <!-- LAN end -->

              <td valign="top">

                <table id="div_dband" style="display:none;visibility:hidden;">
                  <tr>
                    <td>&nbsp;<span class="status"><a href="#" onClick="bandSwitch(0);"><span id="dband0">WLAN (5G)</span></a></span></td>
                    <td>&nbsp;<span class="status"><a href="#" onClick="bandSwitch(1);"><span id="dband1">WLAN (2.4G)</span></a></span></td>
                  </tr>
                </table>

                <table id="div_sta" style="display:none;visibility:hidden;">
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mWlanNetwork);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="sta_radio"></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mStatus);</script>:</span></td>
                    <td>&nbsp;<span class="status"><% getStaLinkStatus(); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mExtInfo);</script>:</span></td>
                    <td>&nbsp;<span class="status"><% getStaExtraInfo(); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mWlanChannel);</script>:</span></td>
                    <td>&nbsp;<span class="status"><% getStaLinkChannel(); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mLinkSpeed);</script>:</span></td>
                    <td>&nbsp;<span class="status"><script>putmsg(mTx);</script>&nbsp;<% getStaLinkTxRate(); %>Mbps
                    <script>putmsg(mRx);</script>&nbsp;<% getStaLinkRxRate(); %>Mbps</span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mThroughput);</script>:</span></td>
                    <td>&nbsp;<span class="status"><script>putmsg(mTx);</script>&nbsp;<% getStaTxThroughput(); %>Mbps
                    <script>putmsg(mRx);</script>&nbsp;&nbsp;<% getStaRxThroughput(); %>Mbps</span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mLinkQuality);</script>:</span></td>
                    <td>&nbsp;<span class="status"><% getStaLinkQuality(); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mSigStrength);</script>:</span></td>
                    <td>&nbsp;<span class="status"><% getStaSignalStrength(); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetMac);</script>:</span></td>
                    <td>&nbsp;<span class="status"><% getStaMacAddr(); %></span></td>
                  </tr>
                </table>

                <table id="div_ap" style="display:none;visibility:hidden;">
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mWlanNetwork);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="ap_radio"></span></td>
                  </tr>

                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mWlanSsid);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wlssid"><% getCfgToHTML(1, "SSID1"); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mWlanChannel);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wlchannel"><% getCfgGeneral(1, "Channel"); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mWlanSecMode);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wlsecmode"></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mInetMac);</script>:</span></td>
                    <td>&nbsp;<span class="status" id="wlbssid"><% getWlanCurrentMac(); %></span></td>
                  </tr>
                  <tr>
                    <td>&nbsp;<span class="status"><script>putmsg(mNumSta);</script>:</span></td>
                    <td id="wlstanum">&nbsp;<a href="/info/stainfo.asp"><span class="status"><% getStaNumASP(0); %></span></a></td>
                  </tr>
                </table>
              </td>
            </tr>
			
        </table>
      </fieldset> 	
    </td> <!-- main content end -->
    <td width="20">&nbsp;</td>
  </tr>

  <tr>
    <td width="20">&nbsp;</td>
    <td align="right">
      <form method="post" name="wanControl" action="/goform/wanConnControl">
        <input type="hidden" name="act" value="">
	<script>
		if (opmode == OPMODE_GATEWAY || opmode == OPMODE_ETH_CONVERTER || opmode == OPMODE_APCLI || opmode == OPMODE_3G_GATEWAY) {
			document.writeln("<input type='button' id='btconnect' value='"+mBtnConnect+"' onClick=\"onConnect();\" style=\"width:80px;\">&nbsp;&nbsp;");
			document.writeln("<input type='button' id='btdisconnect' value='"+mBtnDisconnect+"' onClick=\"onDisconnect();\" style=\"width:80px;\">&nbsp;&nbsp;");
		}
		document.writeln("<input type='button' id='btrefresh' value='"+mBtnRefresh+"' onClick=\"onRefresh();\" style=\"width:80px;\">");
	</script>
      </form>
    </td>
    <td width="20">&nbsp;</td>
  </tr>
  <tr colspan="3"><td>&nbsp;</td></tr>
</table>

<table width="800" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td><img src="graphics/bottom.gif" width="800"></td>
  </tr>
</table>

</div>
</body></html>
