<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<title>AP Statistics</title>
<script language="javascript" type="text/javascript">
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("apstatistics"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';

document.title = vendor+" "+model+" - "+mApStatics;

var timerID;
var http_request = false;

function updateWlanRxPac()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("wlanRxPac").innerHTML = http_request.responseText;
		makeRequest("/goform/getRxBytes", "4", updateWlanRxBytes);
        }
    }
}

function updateWlanRxBytes()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("wlanRxBytes").innerHTML = http_request.responseText;
		makeRequest("/goform/getTxPac", "4", updateWlanTxPac);
        }
    }
}

function updateWlanTxPac()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("wlanTxPac").innerHTML = http_request.responseText;
		makeRequest("/goform/getTxBytes", "4", updateWlanTxBytes);
        }
    }
}

function updateWlanTxBytes()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("wlanTxBytes").innerHTML = http_request.responseText;
		makeRequest("/goform/getRaixApStatsAjax", "all", updateApStats);
        }
    }
}

function updateApStats()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		var stats = new Array();
		var statsStr = http_request.responseText;
		stats = statsStr.split(";");

		if (stats.length >= 7) {
			document.getElementById("TxSucc").innerHTML = stats[0];
			document.getElementById("TxRetry").innerHTML = stats[1];
			document.getElementById("TxFail").innerHTML = stats[2];
			document.getElementById("RTSSucc").innerHTML = stats[3];
			document.getElementById("RTSFail").innerHTML = stats[4];
			document.getElementById("RxSucc").innerHTML = stats[5];
			document.getElementById("FCSError").innerHTML = stats[6];
		}

		//makeRequest("/goform/getApSNRAjax", "rai0", updateApSNR);
        }
    }
}

function updateApSNR()
{
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
		document.getElementById("SNR").innerHTML = http_request.responseText;
        }
    }
}

function chStatistic()
{
	makeRequest("/goform/getRxPac", "4", updateWlanRxPac);
}

function bandSwitch(band)
{
	if (band == 0) { // WLAN0
		window.location.href = "/info/apstatistics.asp";
	}
	else { // WLAN1
		window.location.href = "/info/inic_apstatistics.asp";
	}
}

function PageInit()
{
	var txbf = "<% getTxBfBuilt("rai0"); %>";	
	var raxABand = "<% getRaxABand(); %>";

	if (raxABand == "0") {
		document.getElementById("dband0").innerHTML = "WLAN (2.4G)";
		document.getElementById("dband1").innerHTML = "WLAN (5G)";
	}

	if (opmode != OPMODE_ETH_CONVERTER && opmode != OPMODE_BRIDGE_CONVERTER) { // 5G sta
		document.getElementById("div_dband").style.visibility = "visible";
		document.getElementById("div_dband").style.display = "";
	}

	if (txbf == "1") {
		//document.getElementById("div_stats_txbf").style.visibility = "visible";
		//document.getElementById("div_stats_txbf").style.display = "";
	}

	timerID=setInterval("chStatistic()",3000);
}
</script>
</head>

<body onLoad="PageInit();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "info", "inic_apstatistics");
</script>

<table class="body" cellSpacing="0" cellPadding="0">
<tbody>
<tr>
  <td class="left-blank">&nbsp;</td>
  <td class="navi" valign="top">
    <script>writeNavi(lang, ver, "info", "inic_apstatistics");</script>
  </td>
  <td class="left" align="center" valign="top">
      	<table id="div_dband" style="display:none;visibility:hidden;" align="center" class="content" width="80%" cellSpacing="1" cellPadding="3">
	<tr><td align="right"><br />
	  <a href="#" onClick="bandSwitch(0);"><span id="dband0">WLAN (5G)</span></a>&nbsp;&nbsp;
	  <a href="#" onClick="bandSwitch(1);"><span id="dband1" style="font-weight: bold;">WLAN (2.4G)</span></a>
	</td></tr>
	</table>
  <br />

  <fieldset align="center" style="width:80%;"> 
  <legend><script>putmsg(mStaWlan);</script></legend>  

  <table align="center" class="content" width="90%" cellpadding="3" cellspacing="0">
  <tr><td width="40%">&nbsp;</td><td>&nbsp;</td></tr>
  <tr>
    <td class="head"><script>putmsg(mApTxSucess);</script>:</td>
    <td id="TxSucc"><% getRaixApStats("TxSucc"); %></td>
  </tr>
  <tr>
    <td class="head"><script>putmsg(mApTxRetry);</script>:</td>
    <td id="TxRetry"><% getRaixApStats("TxRetry"); %></td>
  <tr>
    <td class="head"><script>putmsg(mApTxFail);</script>:</td>
    <td id="TxFail"><% getRaixApStats("TxFail"); %></td>
  <tr>
    <td class="head"><script>putmsg(mApRtsCtsOk);</script>:</td>
    <td id="RTSSucc"><% getRaixApStats("RTSSucc"); %></td>
  </tr>
  <tr>
    <td class="head"><script>putmsg(mApRtsCtsFailed);</script>:</td>
    <td id="RTSFail"><% getRaixApStats("RTSFail"); %></td>
  </tr>

  <tr>
    <td class="head"><script>putmsg(mApFramesRcvOk);</script>:</td>
    <td id="RxSucc"><% getRaixApStats("RxSucc"); %></td>
  </tr>
  <tr>
    <td class="head"><script>putmsg(mApFramesCrcErr);</script>:</td>
    <td id="FCSError"><% getRaixApStats("FCSError"); %></td>
  </tr>

  <tr style="display:none;visibility:hidden;">
    <td class="head"><script>putmsg(mApSnr);</script> (SNR):</td>
    <td id="SNR"><% getRaixApSNR(0); %>, <% getRaixApSNR(1); %>, <% getRaixApSNR(2); %></td>
  </tr>
</table>

<table id="div_stats_txbf" style="display:none;visibility:hidden;" align="center" class="content" width="90%" cellpadding="3" cellspacing="1">
  <tr><td colspan="5">&nbsp;</td></tr>
  <tr><td colspan="5"><hr /></td></tr>
  <tr>
    <td class="headLine" align="center" rowspan="2"><script>putmsg(mIndex);</script></td>
    <td class="headLine" align="center" colspan="4"><script>putmsg(mTxbfDetailed);</script></td>
  </tr>
  <tr>
    <td class="headLine" align="center"><script>putmsg(mTxbf);</script></td>
    <td class="headLine" align="center"><script>putmsg(mTxbfSucc);</script></td>
    <td class="headLine" align="center"><script>putmsg(mTxbfRetry);</script></td>
    <td class="headLine" align="center"><script>putmsg(mTxbfFailed);</script></td>
  </tr>
    <% getApTxBFStats("rai0"); %>
  </table>

  <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
  <tbody>
        
  <tr><td width="40%">&nbsp;</td><td>&nbsp;</td></tr>
  <tr><td colspan="2"><hr /></td></tr>
  
	<tr>
	  <td class="head"><script>putmsg(mStaRxPkt);</script>:</td>
	  <td><span id="wlanRxPac"><% getWLANRxPacketASP(1); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStaRxBytes);</script>:</td>
	  <td><span id="wlanRxBytes"><% getWLANRxByteASP(1); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStaTxPkt);</script>:</td>
	  <td><span id="wlanTxPac"><% getWLANTxPacketASP(1); %></span></td>
	</tr>
	<tr>
	  <td class="head"><script>putmsg(mStaTxBytes);</script>:</td>
	  <td><span id="wlanTxBytes"><% getWLANTxByteASP(1); %></span></td>
	</tr>
  </tbody>
  </table>

</fieldset>
<br />

  <form method="post" name="ap_statistics" action="/goform/resetApCounters">
  <input type="hidden" name="intf" value="rai0">
  <input type="hidden" name="nextPage" value="info/inic_apstatistics.asp">
  <table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
  <tr>
    <td align="center">	
      <script>
         document.writeln("<input type='button' class='button' value='"+mBtnRefresh+"' onClick=\"window.location.reload();\">&nbsp;&nbsp;");
         document.writeln("<input type=\"submit\" class=\"button\" value='"+mBtnReset+"'>")
      </script>
    </td>
  </tr>
  </table>
  <input type="hidden" name="dummyData" value="1">
  </form>

<br />
</td>

<td class="help">
  <table class="help" cellPadding="3" cellSpacing="0">
  <tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
  <tr><td class="help-item"><script>putmsg(mStaWlan);</script></td></tr>
  <tr><td><script>putmsg(mIntroApStatics);</script></td></tr>
  </table>
</td>
<td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>


