<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("acl"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';     
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;
document.title = vendor+" "+model+" - "+mTitleAcCtrl;

var MBSSID_MAX 	= 8;
var ACCESSPOLICYLIST_MAX = <% getMaxNum("wlanACL"); %>;
var old_MBSSID;
var changed = 0;
var defaultShownMBSSID = 0;

var SSID = new Array();
var AccessPolicy = new Array();
var AccessControlList = new Array();

var http_request = false;

function UpdateMBSSIDList()
{
	document.ac_form.ssidIndex.length = 0;

	for(var i=0; i<SSID.length; i++){
		var j = document.ac_form.ssidIndex.options.length;
		document.ac_form.ssidIndex.options[j] = new Option(SSID[i], i, false, false);
		var ssidObj = document.getElementById("acSsid"+i);
		if (ssidObj) {
			ssidObj.innerHTML = SSID[i];
		}
	}
	
	document.ac_form.ssidIndex.options.selectedIndex = defaultShownMBSSID;
	old_MBSSID = defaultShownMBSSID;
}

function securityHandler() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			parseAllData(http_request.responseText);
			UpdateMBSSIDList();

			LoadAccessControl();
			ShowAccessControl(defaultShownMBSSID);
		}	
	}
}

function parseAllData(str)
{
	var all_str = new Array();
	all_str = str.split("\n");

	defaultShownMBSSID = parseInt(all_str[0]);

	for (var i=0; i<all_str.length-1; i++) {
		var fields_str = new Array();
		fields_str = all_str[i+1].split("\r");

		SSID[i] = fields_str[0];
/*
		PreAuth[i] = fields_str[1];
		AuthMode[i] = fields_str[2];
		EncrypType[i] = fields_str[3];
		DefaultKeyID[i] = fields_str[4];
		Key1Type[i] = fields_str[5];
		Key1Str[i] = fields_str[6];
		Key2Type[i] = fields_str[7];
		Key2Str[i] = fields_str[8];
		Key3Type[i] = fields_str[9];
		Key3Str[i] = fields_str[10];
		Key4Type[i] = fields_str[11];
		Key4Str[i] = fields_str[12];
		WPAPSK[i] = fields_str[13];
		RekeyMethod[i] = fields_str[14];
		RekeyInterval[i] = fields_str[15];
		PMKCachePeriod[i] = fields_str[16];
		IEEE8021X[i] = fields_str[17];
		RADIUS_Server[i] = fields_str[18];
		RADIUS_Port[i] = fields_str[19];
		RADIUS_Key[i] = fields_str[20];
		session_timeout_interval[i] = fields_str[21];
*/
		AccessPolicy[i] = fields_str[22];
		AccessControlList[i] = fields_str[23];

		/* !!!! IMPORTANT !!!!*/
/*
		if(IEEE8021X[i] == "1")
			AuthMode[i] = "IEEE8021X";

		if(AuthMode[i] == "OPEN" && EncrypType[i] == "NONE" && IEEE8021X[i] == "0")
			AuthMode[i] = "Disable";
*/		
	}
}

function checkData()
{
	var i;
	var macObj;
	var ssidIdx = document.ac_form.ssidIndex.options.selectedIndex;
	for(i=0; i<ACCESSPOLICYLIST_MAX; i++){
		macObj =  document.getElementById("mac_" + ssidIdx + "_" + i);
		if(  macObj.value != ""){
			macObj.value = macObj.value.toUpperCase();
			if(!checkMac(macObj.value)){
				alert(mInetMac + mAlertInvalid);
				macObj.focus();
				return false;
			}
		}
	}

	return true;
}

function ShowAccessControl(MBSSID)
{
	var i;
	for(i=0; i<MBSSID_MAX; i++){
		document.getElementById("AccessPolicy_"+i).selectedIndex = AccessPolicy[i];
		document.getElementById("AccessControlTable_"+i).style.visibility = "hidden";
		document.getElementById("AccessControlTable_"+i).style.display = "none";
	}

	document.getElementById("AccessControlTable_"+MBSSID).style.visibility = "visible";
	document.getElementById("AccessControlTable_"+MBSSID).style.display ="";
}

function LoadAccessControl()
{
	for(var i=0; i<SSID.length; i++){
		var j=0;
		var maclist = new Array;
		if(AccessControlList[i].length != 0){
			maclist = AccessControlList[i].split(";");
			for(j=0; j<maclist.length; j++){
				//document.getElementById("mac_"+i+"_"+j).disabled = false;
				document.getElementById("mac_"+i+"_"+j).value = maclist[j];
			}
		}
	}
}


/*
 * When user select the different SSID, this function would be called.
 */ 
function MBSSIDChange(selected)
{
	// update Access Policy for MBSSID[selected]
	ShowAccessControl(selected);
	return true;
}

function selectMBSSIDChanged()
{
		// check if any security settings changed
	if(changed){
		var ret = confirm(mConfirmDiscard);
		if(!ret){
			document.ac_form.ssidIndex.options.selectedIndex = old_MBSSID;
			return false;
		}
		else 
			changed = 0;
	}
	// backup for user cancel action

	var selected = document.ac_form.ssidIndex.options.selectedIndex;
   
	old_MBSSID = selected;

	MBSSIDChange(selected);
}

function setChange(c){
	changed = c;
}

function initAll()
{
	var radio_off = '<% getCfg2Zero(1, "RadioOff"); %>';

	if (1*radio_off == 1) {
		document.getElementById("div_radio_off").style.visibility = "";
		document.getElementById("div_radio_off").style.display = "";
	}

	makeRequest("/goform/inicwGetSecurity", "n/a", securityHandler);
}

</script>

</head>

<body onLoad="initAll();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "inic", "inic_acl");
</script> 

<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "inic", "inic_acl");</script>
    </td>
    <td class="left" align="center" valign="top">
	<script>writeReboot(rb);</script>
  	<br />
	<form method="post" name="ac_form" action="/goform/INICAccessControl">
  	<fieldset align="center" style="width:80%;"> 
    	<legend><script>putmsg(mWlanAcSet);</script></legend>  

      	<table align="center" align="center" class="content" width="90%" cellSpacing="0" cellPadding="3" id="div_radio_off" style="visibility:hidden;display:none;">
	<tr>
	  <td>
	    <b style="color:red;"><script>putmsg(mWarning);</script>:</b>
	    <span style="color:red;"><script>putmsg(mAlertRadioOff);</script></span>
	    <script>document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoURL('inic_basic.asp');\">");</script>
	  </td>
	</tr>
	</table>

      	<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
        <tbody>
        
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr>
          <td class="head"><script>putmsg(mWlanSelectSsid);</script> (SSID):</td>
          <td>
            <select name="ssidIndex" size="1" onChange="selectMBSSIDChanged();" style="width:132px;">
      			<!-- ....Javascript will update options.... -->
            </select>
          </td>
        </tr>
        </tbody>
       </table>

	<script language="javascript" type="text/javascript" >
	var i, j;
	for(i=0; i<MBSSID_MAX; i++) {
      		document.writeln("<table class=\"content\" width=\"90%\" cellSpacing=\"0\" cellPadding=\"3\" id=\"AccessControlTable_"+i+"\" style=\"display:none;\">");
		// policy
		document.writeln("<tr>");
		document.writeln("<td class=\"head\" width=\"50%\">"+mWlanPolicy+":</td>");
		document.writeln("<td>");
		document.writeln("<select name=\"AccessPolicy"+i+"\" id=\"AccessPolicy_"+i+"\" size=\"1\" style=\"width:132px;\" onChange=\"setChange(1);\">");
		document.writeln("<option value=\"0\">"+mRadioDisable+"</option>");
		document.writeln("<option value=\"1\">"+mWlanPolicyAllow+"</option>");
		document.writeln("<option value=\"2\">"+mWlanPolicyReject+"</option>");
		document.writeln("</select>");
		document.writeln("</td></tr>");
		document.writeln("<tr><td colspan=\"2\">&nbsp;</td></tr>");
		document.writeln("<tr><td colspan=\"2\">"+mWlanAcMac+"</td></tr>");
		// mac list
		for(j=0; j<ACCESSPOLICYLIST_MAX; j++) {
			document.writeln("");
			var macStr;
			
			if (j<9)
				macStr = "0"+(j+1);
			else
				macStr = j+1;
			if (j%2 == 0)
				document.writeln("<tr>");
			document.writeln("<td>MAC"+macStr+":&nbsp;<input type=\"text\" name=\"mac_"+i+"_"+j+"\" id=\"mac_"+i+"_"+j+"\" value=\"\" size=\"20\" maxlength=\"17\" onKeyUp=\"setChange(1);\"></td>");
			if (j%2 != 0)
				document.writeln("</tr>");
		}
		document.writeln("");
		document.writeln("</table>");
	}
	</script>
	<br /><br />
       </fieldset>
     
       <br />
       
	<table align="center" class="content" width="80%" cellSpacing="0" cellPadding="3">
	  <tr>
	    <td align="center">
		<script>
		document.write("<input type='submit' class='button' name='save' value='"+mBtnSave+"' onClick='return checkData();'>&nbsp;&nbsp;");
		if (rb == 0)
		document.write("<input class='button' value='"+mBtnApply+"' id='acApply' onClick='return checkData()' type='submit'>&nbsp;&nbsp;");
		document.write("<input class='button' value='"+mBtnCancel+"' id='acCancel' type='reset' onClick='window.location.reload();'>");
	    </script>
		</td>
	  </tr>
	</table>
	<br /><br />
	</form>
  </td>
        
    <td class="help">
       <table class="help" cellPadding="3" cellSpacing="0">
	<tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
	<tr><td class="help-item"><script>putmsg(mWlanAcSet);</script></td></tr>
	<tr><td><script>putmsg(mIntroacCtrl);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mWlanPolicyAllow);</script></td></tr>
	<tr><td><script>putmsg(mIntroPolicyAllow);</script></td></tr>
	<tr class="helpHr"><td><hr/></td></tr>

	<tr><td class="help-item"><script>putmsg(mWlanPolicyReject);</script></td></tr>
	<tr><td><script>putmsg(mIntroPolicyReject);</script></td></tr>
	</table>
    </td>
    <td class="right-blank">&nbsp;</td>
</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 
</body>
</html>

