<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>

<% getWebsHeader(); %>

<script language="javascript" type="text/javascript" >
<% websIncludeFile("comm/custom.js"); %>
<% websIncludeLang("custom"); %>
<% websIncludeLang("menu"); %>
<% websIncludeLang("inet"); %>
<% websIncludeLang("qos_rules"); %>
<% websIncludeLang("layer7Rules"); %>
<% websIncludeLang("qos_default"); %>

<% getWebsNoClick(); %>

var model = "<% getSysInfo("modelDisp"); %>";
var vendor = "<% getSysInfo("vendor"); %>";
var lang = "<% getCfgGeneral(1, "Language"); %>";
var ver = '<% getVersionInfo("versionDisp"); %>'+'.'+'<% getVersionInfo("build"); %>';
var opmode = '<% getCfgZero(1, "OperationMode"); %>';
var rb = <% getRebootFlag(); %>;

document.title = vendor+" "+model+" - "+(mQosDefaultRule);

var Rules = "<% getQosDefaultRules("QoSRules"); %>";
var ULRules = "<% getQosDefaultRules("QoSULRules"); %>";
var DLRules = "<% getQosDefaultRules("QoSDLRules"); %>";

var qosEnbl = "<% getCfgZero(1, "QoSEnable"); %>";

var jcgQosBuilt = "<% getJcgQosBuilt(); %>";
var qosIPBWBuilt = "<% getQosIPBWLimitBuilt(); %>";

function gotoQoS()
{
	window.location.href = "/qos/qos_basic.asp";
}

function initValue()
{
	if(qosEnbl == "0"){
		document.getElementById("div_qos_set").style.visibility = "visible";
		document.getElementById("div_qos_set").style.display = "";		
	}
	else {
		document.getElementById("div_qos_set").style.visibility = "hidden";
		document.getElementById("div_qos_set").style.display = "none";
	}

	if (jcgQosBuilt == "1") {
		showTableRow("upload_qos", 0);
		showTableRow("download_qos", 0);
	}
	else {
		showTableRow("jcg_qos", 0);
	}
}

function PrintJcgRules()
{
	var a_rule = new Array();
	var rulenum = 0;

	if(Rules == "")
		return;

	a_rule = Rules.split(";");

	for(i=0; i<a_rule.length; i++){
		var j=0;
		var desc = "";
		var pri = (mQosDefault);
		var ip = "";
		var entry = new Array();
		entry = a_rule[i].split(",");

		if (entry.length != 11) {
			continue;
		}

		var name = entry[j++];
		var af_index = entry[j++];
		var sip = entry[j++];
		var sip2 = entry[j++];
		var dscp = entry[j++];
		var protocol = entry[j++]
		var pkt_len_from = entry[j++];
		var pkt_len_to = entry[j++];
		var dst_port_from = entry[j++];
		var dst_port_to = entry[j++];
		var layer7 = entry[j++];

		if (af_index == "1")
			pri = (mQosLow);
		else if (af_index == "2")
			pri = (mQosMiddle);
		else if (af_index == "5")
			pri = (mQosHigh);
		else
			pri = (mQosDefault);

		if (sip.length) {
			ip += sip;
			if (sip2.length)
				ip += " - " + sip2;
			desc += mInetSip+": "+ip+", ";
		}

		if (protocol == "TCP" || protocol == "UDP") {
			desc += mInetProto+": "+protocol+", "+(mQosDportRange)+": "+dst_port_from;
			if (dst_port_to.length)
				desc += " - " + dst_port_to;
			desc += ", ";
		}
		else if (protocol == "Application") {
			protocol = (mQosl7);
			desc += mInetProto+": "+protocol+", "+(mQosl7Name) + ": " + layer7+", ";
		}
		else if (protocol == "ICMP") {
			desc += mInetProto+": "+protocol+", "; // do nothing
		}
		else {
			if (pkt_len_from.length)
				desc += (mQosPktlen)+": "+pkt_len_from+" - "+pkt_len_to+", ";
		}
		if (dscp.length) {
			desc += mQosDscp+": "+dscp+", ";
		}

		if (rulenum%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\" valign=\"top\">"+ (i+1) +"</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + name + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + pri + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + ip + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + dscp + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + protocol + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + desc + "</td>");
		document.writeln("</tr>");

		rulenum++;
	}
}

function PrintUploadRules()
{
	var a_rule = new Array();
	var rulenum = 0;

	if(ULRules == "")
		return;

	a_rule = ULRules.split(";");

	for(i=0; i<a_rule.length; i++){
		var j=0;
		var desc = "";
		var pri = (mQosDefault);
		var ip = "";
		var entry = new Array();
		entry = a_rule[i].split(",");

		if (entry.length != 17) {
			continue;
		}

		var name = entry[j++];
		var af_index = entry[j++];
		var dp_index = entry[j++];
		var mac_address = entry[j++];
		var protocol = entry[j++]
		var dip = entry[j++];
		var sip = entry[j++];
		var pkt_len_from = entry[j++];
		var pkt_len_to = entry[j++];
		var dst_port_from = entry[j++];
		var dst_port_to = entry[j++];
		var src_port_from = entry[j++];
		var src_port_to = entry[j++];
		var layer7 = entry[j++];
		var dscp = entry[j++];
		var ingress_if = entry[j++];
		var remark = entry[j++];

		if (af_index == "1")
			pri = (mQosLow);
		else if (af_index == "2")
			pri = (mQosMiddle);
		else if (af_index == "5")
			pri = (mQosHigh);
		else
			pri = (mQosDefault);

		if (mac_address.length) {
			desc += mInetMac+": "+mac_address+", ";
		}

		if (dip.length) {
			desc += mInetDip+": "+dip+", ";
		}

		if (sip.length) {
			desc += mInetSip+": "+sip+", ";
		}

		if (protocol == "TCP" || protocol == "UDP") {
			desc += mInetProto+": "+protocol+", "+(mQosDportRange)+": "+dst_port_from;
			if (dst_port_to.length)
				desc += " - "+dst_port_to;
			desc += ", ";
			desc += (mQosSportRange)+": "+src_port_from;
			if (src_port_to.length)
				desc += " - "+src_port_to;
			desc += ", ";
		}
		else if (protocol == "Application") {
			protocol = (mQos17);
			desc += mInetProto+": "+protocol+", "+(mQosl7Name)+": "+layer7+", ";
		}
		else if (protocol == "ICMP") {
			desc += mInetProto+": "+protocol+", "; // do nothing
		}
		else {
			if (pkt_len_from.length)
				desc += (mQosPktlen)+": "+pkt_len_from+" - "+pkt_len_to+", ";
		}
		if (dscp.length) {
			desc += mQosDscp+": "+dscp+", ";
		}
		if (ingress_if.length) {
		}
		if (remark.length) {
			desc += mQosRemark+": "+remark+", ";
		}

		if (rulenum%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\" valign=\"top\">"+ (i+1) +"</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + name + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + pri + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + ip + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + dscp + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + protocol + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + desc + "</td>");
		document.writeln("</tr>");

		rulenum++;
	}
}

function PrintDownloadRules()
{
	var a_rule = new Array();
	var rulenum = 0;

	if(DLRules == "")
		return;

	a_rule = DLRules.split(";");

	for(i=0; i<a_rule.length; i++){
		var j=0;
		var desc = "";
		var pri = (mQosDefault);
		var ip = "";
		var entry = new Array();
		entry = a_rule[i].split(",");

		if (entry.length != 17) {
			continue;
		}

		var name = entry[j++];
		var af_index = entry[j++];
		var dp_index = entry[j++];
		var mac_address = entry[j++];
		var protocol = entry[j++]
		var dip = entry[j++];
		var sip = entry[j++];
		var pkt_len_from = entry[j++];
		var pkt_len_to = entry[j++];
		var dst_port_from = entry[j++];
		var dst_port_to = entry[j++];
		var src_port_from = entry[j++];
		var src_port_to = entry[j++];
		var layer7 = entry[j++];
		var dscp = entry[j++];
		var ingress_if = entry[j++];
		var remark = entry[j++];

		if (af_index == "1")
			pri = (mQosLow);
		else if (af_index == "2")
			pri = (mQosMiddle);
		else if (af_index == "5")
			pri = (mQosHigh);
		else
			pri = (mQosDefault);

		if (mac_address.length) {
			desc += mInetMac+": "+mac_address+", ";
		}

		if (dip.length) {
			desc += mInetDip+": "+dip+", ";
		}

		if (sip.length) {
			desc += mInetSip+": "+sip+", ";
		}

		if (protocol == "TCP" || protocol == "UDP") {
			desc += mInetProto+": "+protocol+", "+(mQosDportRange)+": "+dst_port_from;
			if (dst_port_to.length)
				desc += " - "+dst_port_to;
			desc += ", ";
			desc += (mQosSportRange)+": "+src_port_from;
			if (src_port_to.length)
				desc += " - "+src_port_to;
			desc += ", ";
		}
		else if (protocol == "Application") {
			protocol = (mQos17);
			desc += mInetProto+": "+protocol+", "+(mQosl7Name)+": "+layer7+", ";
		}
		else if (protocol == "ICMP") {
			desc += mInetProto+": "+protocol+", "; // do nothing
		}
		else {
			if (pkt_len_from.length)
				desc += (mQosPktlen)+": "+pkt_len_from+" - "+pkt_len_to+", ";
		}
		if (dscp.length) {
			desc += mQosDscp+": "+dscp+", ";
		}
		if (ingress_if.length) {
		}
		if (remark.length) {
			desc += mQosRemark+": "+remark+", ";
		}

		if (rulenum%2)
			document.writeln("<tr bgcolor=\""+listBg+"\">");
		else
			document.writeln("<tr>");
		document.writeln("<td align=\"center\" valign=\"top\">"+ (i+1) +"</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + name + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + pri + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + ip + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + dscp + "</td>");
		//document.writeln("<td align=\"center\" valign=\"top\">" + protocol + "</td>");
		document.writeln("<td align=\"center\" valign=\"top\">" + desc + "</td>");
		document.writeln("</tr>");

		rulenum++;
	}
}

function confirmDefault()
{
	return confirm((mConfirmQosDefault));
}

</script>

</head>

<body onLoad="initValue();">

<div class="body_div">

<script language="javascript" type="text/javascript" >
	writeHead(lang, ver, "qos_set", "qos_default");
</script>                  
      
<table class="body" cellSpacing="0" cellPadding="0">
  <tbody>
  <tr>
    <td class="left-blank">&nbsp;</td>
    <td class="navi" valign="top">
      <script>writeNavi(lang, ver, "qos_set", "qos_default");</script>
    </td>
    <td class="left" align="center" valign="top">
    <script>writeReboot(rb);</script>
    <br />

    <script>
      if (qosIPBWBuilt == "1" && 1*qosEnbl >= 1)
      	writeNoneExist(qosEnbl == "1", mAlertPriorityDisable, mBtnSetup, "/qos/qos_basic.asp");
    </script>

    <table border="0" cellpadding="3" cellspacing="0" width="80%" id="div_qos_set">
	<tr><td><b style="color:red;"><script>putmsg(mWarning);</script>:</b>
	<span style="color:red;"><script>putmsg(mWarningQosSt);</script></span></td></tr>
	<tr>
	  <td align="center">
	  <script>
	    document.writeln("<input type='button' class='button' value='"+mBtnSetup+"' onClick=\"gotoQoS();\">");
	  </script>
	  </td></tr>
	<tr><td>&nbsp;</td></tr>
    </table>

<form method="post" name="QoSLoadDefault" action="/goform/QoSLoadDefaultProfile">
<input type="hidden" name="nextPage" value="/qos/qos_rules.asp">

<div id="jcg_qos">
<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mQosDefaultRule);</script></legend>
<br />
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center">
<tr>
  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRuleName);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRulePrio);</script></td>
  <!-- td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosDdscp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td -->
  <td class="headLine" align="center"><script>putmsg(mQosRuleInfo);</script></td>
</tr>
<script language="javascript" type="text/javascript">
  PrintJcgRules();
</script>
</table>
<br />
</fieldset>
</div>

<div id="upload_qos">
<br />
<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mQosDefaultRule+"-"+mQosUp);</script></legend>
<br />
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center">
<tr>
  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRuleName);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRulePrio);</script></td>
  <!-- td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosDdscp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td -->
  <td class="headLine" align="center"><script>putmsg(mQosRuleInfo);</script></td>
</tr>
<script language="javascript" type="text/javascript">
  PrintUploadRules();
</script>
</table>
<br />
</fieldset>
</div>

<div id="download_qos">
<br />
<fieldset align="center" style="width:80%;"> 
<legend><script>putmsg(mQosDefaultRule+"-"+mQosDown);</script></legend>
<br />
<table width="95%" border="0" cellspacing="1" cellpadding="3" align="center">
<tr>
  <td class="headLine" align="center"><script>putmsg(mIndex);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRuleName);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosRulePrio);</script></td>
  <!-- td class="headLine" align="center"><script>putmsg(mInetIp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mQosDdscp);</script></td>
  <td class="headLine" align="center"><script>putmsg(mInetProto);</script></td -->
  <td class="headLine" align="center"><script>putmsg(mQosRuleInfo);</script></td>
</tr>
<script language="javascript" type="text/javascript">
  PrintDownloadRules();
</script>
</table>
<br />
</fieldset>
</div>

<br />

<table align="center" class="content" width="90%" cellSpacing="0" cellPadding="3">
<tr>
  <td align="center">
    <script>
      document.writeln("<input type='submit' class='button' value='"+mQosDefaultLoad+"' style='width:132px;' onClick=\"return confirmDefault();\">");
    </script>
  </td>
</tr>
</table>

</form>

<br /><br />
</td>

<td class="help">
<table class="help" cellPadding="3" cellSpacing="0">
  <tr id="helpHead"><td class="helpMenu"><script>putmsg(mHelp);</script></td></tr>
  <tr><td class="help-item"><script>putmsg(mQosDefaultRule);</script></td></tr>
  <tr><td><script>putmsg(mIntroQosDefault);</script></td></tr>
</table>
</td>

<td class="right-blank">&nbsp;</td>

</tr>
</tbody>
</table>

<script language="javascript" type="text/javascript" >
	writeFooter(lang);
</script> 
       
</div> 

</body>
</html>

